[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# multiply(Tvector2_single,single):Tvector2_single

Multiply a two-dimensional single precision vector by a scalar

## Declaration

Source position: matrix.pp line 428

`operator operator *(`
`const x: Tvector2_single;`
`y: single`
`):Tvector2_single;`

## Description

This operator allows you to multiply a vector by a scalar value. Each vector element is multiplied by the scalar value; the result is returned as a new vector.